/*
 *      SCCS:  @(#)  Test0.c Rel 1.2	    (7/17/92)
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1991 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

#include        <stdlib.h>
#include        "xtest.h"
#include        "Xlib.h"
#include        "Xutil.h"
#include        "Xresource.h"
#include        "tet_api.h"
#include        "xtestlib.h"
#include        "pixval.h"

extern char	*TestName;

static int
test(name, val, aval)
char	*name;
int	val;
int	aval;
{

	if(val != aval) {
		report("KeySym \"%s\" is defined to have value 0x%x instead of 0x%x.", name, val, aval);
		return(0);
	} 
	return(1);
}



static void
reporterr(s)
char	*s;
{
	report("Keysym \"%s\" is not defined.", s);
}

#define XK_LATIN2
#include      <X11/keysymdef.h>
#undef XK_LATIN2


kysymdf0()
{ 
int	pass = 0, fail = 0;
#ifdef XK_VoidSymbol
	if(test("XK_VoidSymbol", XK_VoidSymbol, 0xFFFFFF) == 0)
		FAIL;
	else
		CHECK;
#else
	reporterr("XK_VoidSymbol");
	FAIL;
#endif

	CHECKPASS(1);
}
